# std::independent_bits_engine::base

From cppreference.com
< cpp‎ | numeric‎ | random‎ | independent bits engine

const Engine& base() const; |  | (since C++11)

Returns the underlying engine.

### Parameters

(none)

### Return value

The underlying engine.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/independent_bits_engine/base&oldid=50960"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template